<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\InfoAnDoz;

class InfoAnDozController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new InfoAnDozUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new InfoAnDozRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->belegId = \GetOperations::getVarValue('belid');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new InfoAnDozPresenter($pUseCaseResponse);
  }
}